import { Component } from 'react';
import type { RangeInputProps, RangeInputState } from './props';
/**
---
category: components
---
**/
declare class RangeInput extends Component<RangeInputProps, RangeInputState> {
    static readonly componentId = "RangeInput";
    static outputLocatorAttribute: string;
    static allowedProps: readonly (keyof {
        min: number;
        max: number;
        defaultValue?: number;
        value?: number;
        onChange?: (value: number | string) => void;
        messages?: import("@instructure/ui-form-field").FormMessage[];
        size?: "small" | "medium" | "large";
        layout?: "stacked" | "inline";
        id?: string;
        label: React.ReactNode;
        displayValue?: boolean;
        step?: number;
        formatValue?: (value?: number, max?: number) => string;
        inline?: boolean;
        disabled?: boolean;
        readOnly?: boolean;
        thumbVariant?: "deprecated" | "accessible";
        inputRef?: (inputElement: HTMLInputElement | null) => void;
    })[];
    static propTypes: import("@instructure/shared-types").PropValidators<keyof {
        min: number;
        max: number;
        defaultValue?: number;
        value?: number;
        onChange?: (value: number | string) => void;
        messages?: import("@instructure/ui-form-field").FormMessage[];
        size?: "small" | "medium" | "large";
        layout?: "stacked" | "inline";
        id?: string;
        label: React.ReactNode;
        displayValue?: boolean;
        step?: number;
        formatValue?: (value?: number, max?: number) => string;
        inline?: boolean;
        disabled?: boolean;
        readOnly?: boolean;
        thumbVariant?: "deprecated" | "accessible";
        inputRef?: (inputElement: HTMLInputElement | null) => void;
    }>;
    static defaultProps: {
        step: number;
        formatValue: (val?: number) => number | undefined;
        max: number;
        min: number;
        inline: boolean;
        size: string;
        layout: string;
        displayValue: boolean;
        disabled: boolean;
        readOnly: boolean;
        thumbVariant: string;
    };
    ref: Element | null;
    private _input;
    private _inputListener;
    private _changeListener;
    private readonly defaultId;
    handleRef: (el: Element | null) => void;
    handleInputRef: (el: HTMLInputElement | null) => void;
    constructor(props: RangeInputProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    handleChange: (event: React.ChangeEvent<HTMLInputElement>) => void;
    noopChange: React.ChangeEventHandler<HTMLInputElement>;
    get value(): number | undefined;
    get id(): string;
    renderValue(): import("@emotion/react/jsx-runtime").JSX.Element | null;
    render(): import("@emotion/react/jsx-runtime").JSX.Element;
}
export default RangeInput;
export { RangeInput };
//# sourceMappingURL=index.d.ts.map